Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1062545 - [abrt] WARNING: CPU: 1 PID: 21280 at drivers/net/wireless/iwlwifi/pcie/tx.c:1079 iwl_trans_pcie_txq_enable+0x26d/0x3b0 [iwlwifi]()
Summary: [abrt] WARNING: CPU: 1 PID: 21280 at drivers/net/wireless/iwlwifi/pcie/tx.c:1...
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: fedora-kernel-wireless-iwl
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:bd52ec84ac71f2fc2d02517387d...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-07 08:55 UTC by Christopher Meng
Modified: 2014-10-21 12:04 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-21 12:04:18 UTC


Attachments (Terms of Use)
File: dmesg (deleted)
2014-02-07 08:56 UTC, Christopher Meng
no flags Details

Description Christopher Meng 2014-02-07 08:55:43 UTC
Additional info:
reporter:       libreport-2.1.12
WARNING: CPU: 1 PID: 21280 at drivers/net/wireless/iwlwifi/pcie/tx.c:1079 iwl_trans_pcie_txq_enable+0x26d/0x3b0 [iwlwifi]()
queue 11 already used - expect issues
Modules linked in: ip6t_rpfilter ip6t_REJECT xt_conntrack ebtable_nat ebtable_broute ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw ccm fuse bridge stp llc snd_hda_codec_hdmi coretemp snd_hda_codec_conexant snd_hda_intel snd_hda_codec snd_hwdep snd_seq arc4 iwldvm snd_seq_device snd_pcm binfmt_misc mac80211 joydev iTCO_wdt iTCO_vendor_support uvcvideo iwlwifi microcode btusb videobuf2_vmalloc videobuf2_memops videobuf2_core videodev media serio_raw mei_me lpc_ich i2c_i801 mei sdhci_pci cfg80211 sdhci mmc_core bluetooth snd_page_alloc snd_timer thinkpad_acpi snd soundcore rfkill acpi_cpufreq nouveau i2c_algo_bit drm_kms_helper mxm_wmi ttm e1000e drm firewire_ohci firewire_core i2c_core ata_generic crc_itu_t pata_acpi ptp pps_core wmi video [last unloaded: iptable_raw]
CPU: 1 PID: 21280 Comm: kworker/u4:2 Not tainted 3.13.0-0.rc8.git4.2.fc21.i686 #1
Hardware name: LENOVO 251676C/251676C, BIOS 6IET85WW (1.45 ) 02/14/2013
Workqueue: phy0 ieee80211_iface_work [mac80211]
 00000000 00000000 f378dd30 c09a57a3 f378dd70 f378dd60 c0448c3e f8117a04
 f378dd8c 00005320 f8117688 00000437 f810df0d f810df0d f4b62000 00000000
 0000000b f378dd78 c0448c93 00000009 f378dd70 f8117a04 f378dd8c f378dddc
Call Trace:
 [<c09a57a3>] dump_stack+0x41/0x52
 [<c0448c3e>] warn_slowpath_common+0x7e/0xa0
 [<f810df0d>] ? iwl_trans_pcie_txq_enable+0x26d/0x3b0 [iwlwifi]
 [<f810df0d>] ? iwl_trans_pcie_txq_enable+0x26d/0x3b0 [iwlwifi]
 [<c0448c93>] warn_slowpath_fmt+0x33/0x40
 [<f810df0d>] iwl_trans_pcie_txq_enable+0x26d/0x3b0 [iwlwifi]
 [<fb28d7a4>] iwlagn_tx_agg_oper+0xe4/0x210 [iwldvm]
 [<c047dea7>] ? load_balance+0x107/0x6f0
 [<c047726e>] ? update_cfs_rq_blocked_load+0x11e/0x180
 [<fb289691>] iwlagn_mac_ampdu_action+0x151/0x360 [iwldvm]
 [<fb289540>] ? iwlagn_mac_flush+0x1d0/0x1d0 [iwldvm]
 [<f920bbc3>] ieee80211_agg_tx_operational+0xa3/0x1c0 [mac80211]
 [<f920c959>] ieee80211_process_addba_resp+0xb9/0x110 [mac80211]
 [<f9211a2a>] ieee80211_iface_work+0x2ba/0x310 [mac80211]
 [<c045f4c5>] process_one_work+0x115/0x380
 [<c045ffbe>] worker_thread+0xfe/0x330
 [<c045fec0>] ? manage_workers.isra.28+0x250/0x250
 [<c0465751>] kthread+0xa1/0xc0
 [<c09b2a77>] ret_from_kernel_thread+0x1b/0x28
 [<c04656b0>] ? insert_kthread_work+0x30/0x30

Potential duplicate: bug 994518

Comment 1 Christopher Meng 2014-02-07 08:56:02 UTC
Created attachment 860394 [details]
File: dmesg

Comment 2 Josh Boyer 2014-02-07 14:32:08 UTC
3.13.0-0.rc8.git4.2 is a rather odd kernel to still be running.  Does the 3.13 final kernel hit this, or the latest 3.14.0-0.rc1.gitX kernel?

Comment 3 Christopher Meng 2014-02-08 01:38:06 UTC
This 3.13 kernel was fetched from repo days ago and then I didn't do any update.

These kernels are installed:

[rpmaker@fab Desktop]$ rpm -qa |grep -e ^kernel-3
kernel-3.14.0-0.rc1.git2.2.fc21.i686
kernel-3.14.0-0.rc0.git9.1.fc21.i686
kernel-3.13.0-0.rc8.git0.1.fc21.i686
kernel-3.13.0-0.rc8.git4.2.fc21.i686

-------------------

kernel-3.13.0-0.rc8.git0.1.fc21.i686

and 

kernel-3.14.0-0.rc0.git9.1.fc21.i686

neither worked on my thinkpad. Not exaggeration, I really wanted to smash it.

-------------------

Yesterday I updated the kernel to kernel-3.14.0-0.rc1.git2.2.fc21.i686, during the update the brat throwed this out.

Comment 4 Emmanuel Grumbach 2014-03-19 11:49:33 UTC
disabling TX AMPDU will help here.
TX AMPDU is disabled by default in 3.14-rc6 I think.

Comment 5 Need Real Name 2014-04-29 05:17:16 UTC
I've also gotten this crash (same line number), and a much more frequent one at:

drivers/net/wireless/iwlwifi/iwl-trans.h:743 iwl_trans_pcie_wait_txq_empty+0x374/0x3e0 [iwlwifi]()

I can paste ABRT info if that's useful.  It seems to be sporadic: I go without crashes for weeks and then suddenly I get a spate of them, like every few hours for the past couple days.  I'm running 3.13.9-100.fc19.x86_64 kernel which I think is the current FC19 kernel.  3.14 was released about a month ago but I haven't seen an auto-update about it.  I also looked at the change log for 3.14 and I don't see the commit about TX AMPDU there.

Is there a way to turn TX AMPDU off from user commands, and/or is anything else likely to help?  After one of these warnings, the wifi driver shuts down and I get an ABRT.  Is there a way to bring the wifi back up without rebooting the whole computer?  I guess I can manually install a kernel upgrade if I have to.

Thanks.

Paul

Comment 6 Need Real Name 2014-07-01 03:29:40 UTC
I've still had these crashes happen in a couple of 3.14 kernels, currently 3.14.8-100.fc19.x86_64 .

Comment 7 Emmanuel Grumbach 2014-10-20 06:36:52 UTC
Should be fixed by https://git.kernel.org/cgit/linux/kernel/git/iwlwifi/iwlwifi-fixes.git/commit/?id=7496d1162b8062cc360838290ac6680c2a196f22

which will be upstreamed soon.


Note You need to log in before you can comment on or make changes to this bug.